Package org.apache.axiom.om

## Interface OMMetaFactorySPI

- All Superinterfaces:
    `OMMetaFactory`

      public interface OMMetaFactorySPI
      extends OMMetaFactory

  For internal use only.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OMXMLParserWrapper` | `createOMBuilder​(SAXSource source, boolean expandEntityReferences)` | Create an object model builder for plain XML that gets its input from a `SAXSource`.
    `OMXMLParserWrapper` | `createOMBuilder​(Source source)` | Create an object model builder for plain XML that gets its input from a `Source`.
    `OMXMLParserWrapper` | `createOMBuilder​(Source rootPart, OMAttachmentAccessor attachmentAccessor)` |
    `OMXMLParserWrapper` | `createOMBuilder​(StAXParserConfiguration configuration, MultipartBody message)` | Create an XOP aware object model builder.
    `OMXMLParserWrapper` | `createOMBuilder​(StAXParserConfiguration configuration, InputSource is)` | Create an object model builder for plain XML that reads a document from the provided input source.
    `OMXMLParserWrapper` | `createOMBuilder​(Node node, boolean expandEntityReferences)` | Create an object model builder for plain XML that gets its input from a DOM tree.
    `SOAPModelBuilder` | `createSOAPModelBuilder​(Source source)` | Create an object model builder for SOAP that reads a message from the provided `Source`.
    `SOAPModelBuilder` | `createSOAPModelBuilder​(Source rootPart, OMAttachmentAccessor attachmentAccessor)` |
    `SOAPModelBuilder` | `createSOAPModelBuilder​(MultipartBody message)` | Create an MTOM aware object model builder.
    `SOAPModelBuilder` | `createSOAPModelBuilder​(InputSource is)` | Create an object model builder for SOAP that reads a message from the provided input source.
    `OMXMLParserWrapper` | `createStAXOMBuilder​(XMLStreamReader parser)` | Create an object model builder for plain XML that pulls events from a StAX stream reader.
    `SOAPModelBuilder` | `createStAXSOAPModelBuilder​(XMLStreamReader parser)` | Create an object model builder for SOAP that pulls events from a StAX stream reader.

    - ### Methods inherited from interface org.apache.axiom.om.OMMetaFactory

      `getOMFactory, getSOAP11Factory, getSOAP12Factory`

- - ### Method Detail

    - #### createStAXOMBuilder

          OMXMLParserWrapper createStAXOMBuilder​(XMLStreamReader parser)

      Create an object model builder for plain XML that pulls events from a StAX stream reader.

      The implementation must perform namespace repairing, i.e. it must add appropriate namespace declarations if undeclared namespaces appear in the StAX stream.

      Parameters:
        `parser` - the stream reader to read the XML data from
      Returns:
        the builder

    - #### createOMBuilder

          OMXMLParserWrapper createOMBuilder​(StAXParserConfiguration configuration,
                                             InputSource is)

      Create an object model builder for plain XML that reads a document from the provided input source.
      Parameters:
        `configuration` - the parser configuration to use
        `is` - the source of the XML document
      Returns:
        the builder

    - #### createOMBuilder

          OMXMLParserWrapper createOMBuilder​(Source source)

      Create an object model builder for plain XML that gets its input from a `Source`.
      Parameters:
        `source` - the source of the XML document
      Returns:
        the builder

    - #### createOMBuilder

          OMXMLParserWrapper createOMBuilder​(Node node,
                                             boolean expandEntityReferences)

      Create an object model builder for plain XML that gets its input from a DOM tree.
      Parameters:
        `node` - the DOM node; must be a `Node.DOCUMENT_NODE` or `Node.ELEMENT_NODE`
        `expandEntityReferences` - Determines how `EntityReference` nodes are handled:
        - If the parameter is `false` then a single `OMEntityReference` will be created for each `EntityReference`. The child nodes of `EntityReference` nodes are not taken into account.
        - If the parameter is `true` then no `OMEntityReference` nodes are created and the children of `EntityReference` nodes are converted and inserted into the Axiom tree.
      Returns:
        the builder

    - #### createOMBuilder

          OMXMLParserWrapper createOMBuilder​(SAXSource source,
                                             boolean expandEntityReferences)

      Create an object model builder for plain XML that gets its input from a `SAXSource`.
      Parameters:
        `source` - the source of the XML document
        `expandEntityReferences` - Determines how entity references (i.e. `LexicalHandler.startEntity(String)` and `LexicalHandler.endEntity(String)` events) are handled:
        - If the parameter is `false` then a single `OMEntityReference` will be created for each pair of `LexicalHandler.startEntity(String)` and `LexicalHandler.endEntity(String)` events. Other events reported between these two events are not taken into account.
        - If the parameter is `true` then no `OMEntityReference` nodes are created and `LexicalHandler.startEntity(String)` and `LexicalHandler.endEntity(String)` events are ignored. However, events between `LexicalHandler.startEntity(String)` and `LexicalHandler.endEntity(String)` are processed normally.
      Returns:
        the builder

    - #### createOMBuilder

          OMXMLParserWrapper createOMBuilder​(StAXParserConfiguration configuration,
                                             MultipartBody message)

      Create an XOP aware object model builder.
      Parameters:
        `configuration` - the parser configuration to use
        `message` - the MIME message
      Returns:
        the builder

    - #### createOMBuilder

          OMXMLParserWrapper createOMBuilder​(Source rootPart,
                                             OMAttachmentAccessor attachmentAccessor)

    - #### createStAXSOAPModelBuilder

          SOAPModelBuilder createStAXSOAPModelBuilder​(XMLStreamReader parser)

      Create an object model builder for SOAP that pulls events from a StAX stream reader. The implementation will select the appropriate `SOAPFactory` based on the namespace URI of the SOAP envelope.
      Parameters:
        `parser` - the stream reader to read the SOAP message from
      Returns:
        the builder

    - #### createSOAPModelBuilder

          SOAPModelBuilder createSOAPModelBuilder​(InputSource is)

      Create an object model builder for SOAP that reads a message from the provided input source. The implementation will select the appropriate `SOAPFactory` based on the namespace URI of the SOAP envelope.
      Parameters:
        `is` - the source of the SOAP message
      Returns:
        the builder

    - #### createSOAPModelBuilder

          SOAPModelBuilder createSOAPModelBuilder​(Source source)

      Create an object model builder for SOAP that reads a message from the provided `Source`. The implementation will select the appropriate `SOAPFactory` based on the namespace URI of the SOAP envelope.
      Parameters:
        `source` - the source of the SOAP message
      Returns:
        the builder

    - #### createSOAPModelBuilder

          SOAPModelBuilder createSOAPModelBuilder​(MultipartBody message)

      Create an MTOM aware object model builder.
      Parameters:
        `message` - the MIME message
      Returns:
        the builder

    - #### createSOAPModelBuilder

          SOAPModelBuilder createSOAPModelBuilder​(Source rootPart,
                                                  OMAttachmentAccessor attachmentAccessor)